Sign up ×
Android Enthusiasts Stack Exchange is a question and answer site for enthusiasts and power users of the Android operating system. It's 100% free, no registration required.

I don't know whether installation package for different smartphones of the same OS/version is the same.

But if that's not the case,mine is HTC g3.

Note: I've already tried to install flash player 10.1 but failed,so I'm targeting flash lite now.

share|improve this question
Related question:… – Al E. Oct 12 '10 at 12:54
What Android version? – Al E. Oct 12 '10 at 14:56
It's android 2.1 – android Oct 12 '10 at 16:55

1 Answer 1

up vote -1 down vote accepted

Flash is only available for Android 2.2+. You won't be able to install it on any older version of Android.

share|improve this answer
Yeah,I'm aware of this,that's why I'm asking about Flash Lite. – android Oct 12 '10 at 13:36
Skyfire will play some flash videos. Other than that, there isn't much else you can do. – Bryan Denny Oct 12 '10 at 13:38
Flash and Flash Lite are totally different story,Flash is not supported until recently,but Flash Lite is there for mobile phones the first day it comes out. – android Oct 12 '10 at 14:51
Pretty sure that Flash Lite has never been publically available, it's been available for manufacturers to pre-install (this is how HTC had it on their 2.1 Desire) but I don't think it's been available for download? – GAThrawn Oct 12 '10 at 15:26
Is this the case with Flash Lite on other smartphones like those of symbian OS? – android Oct 12 '10 at 16:57

Your Answer


By posting your answer, you agree to the privacy policy and terms of service.